xpaint(l)

Name
xpaint - Simple Paint program

Syntax
xpaint [ -size WIDTHxHEIGHT ] [ -12 ] [ -24 ] [ filenames... ]

Description
is a color image editing tool which features most standard paint program options. It allows for the editing of multiple images simultaneously and supports various formats, including PPM, XBM, TIFF, etc.

The functionality of XPaint is divided into a toolbox area for selecting the current paint operation and paint windows for modifying/creating images. Each paint window has access to its own color palette and set of patterns, although the paint operation in use is globally selected for all windows.

XPaint runs on a variety of displays. It should be noted that saving images will adapt them to the current display type (i.e. a color image loaded on a greyscale screen will be saved as a grey image).

There is also an extensive on-line help system available.

Command Line Options
In addition to being able to specify image files to open, the following options are available on the command line:

    -size
        default width and height for new images

    -12 use a 12 bit PseudoColor visual

    -24 use a 24 bit TrueColor visual

Toolbox
The toolbox window is displayed when XPaint is started. The toolbox is used to select an operation which can then be applied to any image area presented (painting window, fat bits, pattern editor, etc.). The window has a selection of painting operations (as icons) and several pull down menus.

Painting Window
The painting window holds a canvas area for painting the displayed image, menus for performing operations on this image, and primary and secondary color/pattern palettes along with buttons for adding to these.

Author
David Koblas, koblas@netcom.com. I am interested in how this program is used, if you find any bugs, I'll fix them. If you notice any rough spots, or think of some way in which it could be better, feel free to drop me a message.